Package com.ocient.jdbc.proto

## Interface PlanProtocol.ErrorOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ErrorOperator`, `PlanProtocol.ErrorOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ErrorOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getInvalidDataBlock()` `bool invalidDataBlock = 1;`
`int` `getPartitionCount()` `uint32 partitionCount = 2;`
`int` `getSqlErrorCode()` `int32 sqlErrorCode = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getInvalidDataBlock

    boolean getInvalidDataBlock()

`bool invalidDataBlock = 1;`

Returns:
  The invalidDataBlock.

#### getPartitionCount

    int getPartitionCount()

`uint32 partitionCount = 2;`

Returns:
  The partitionCount.

#### getSqlErrorCode

    int getSqlErrorCode()

`int32 sqlErrorCode = 3;`

Returns:
  The sqlErrorCode.